# sqlite_rewind

# SQLiteResult::rewind

(PHP 5 < 5.4.0, PECL sqlite >= 1.0.0)

sqlite_rewind -- SQLiteResult::rewind — Seek to the first row number

### Description

sqlite_rewind ( resource `$result` ) : bool

Object oriented style (method):

SQLiteResult::rewind ( void ) : bool

sqlite_rewind() seeks back to the first row in the given result set.

### Parameters

`result`

  The SQLite result resource. This parameter is not required when using the object-oriented method.

  > Note:

  > This function cannot be used with unbuffered result handles.

### Return Values

Returns `FALSE` if there are no rows in the result set, `TRUE` otherwise.

### See Also

- sqlite_next() - Seek to the next row number
- sqlite_current() - Fetches the current row from a result set as an array
- sqlite_seek() - Seek to a particular row number of a buffered result set